# CCS811 Sensor Arduino library

[![Compile Sketches](https://github.com/e-radionicacom/Soldered-CCS811-Arduino-Library/actions/workflows/compile_test.yml/badge.svg?branch=dev)](https://github.com/e-radionicacom/Soldered-CCS811-Arduino-Library/actions/workflows/compile_test.yml)
[![Make docs and publish to GitHub Pages](https://github.com/e-radionicacom/Soldered-CCS811-Arduino-Library/actions/workflows/make_docs.yml/badge.svg?branch=dev)](https://github.com/e-radionicacom/Soldered-CCS811-Arduino-Library/actions/workflows/make_docs.yml)

| ![CCS811 Sensor](https://upload.wikimedia.org/wikipedia/commons/8/8f/Example_image.svg) |
| :---------------------------------------------------------------------------------------------: |
| [CCS811 Sensor](https://www.solde.red/333009)                                                            |

CCS811 Sensor Module [easyC ecosystem](https://www.soldered.com/easyC). 

### Repository Contents
- **/src** - source files for the library (.h & .cpp)
- **/examples** - examples for using the library
- ***other*** - *keywords* file highlights function words in your IDE, *library.properties* enables implementation with Arduino Library Manager.

### Hardware design
You can find hardware design for this board in NAZIV PROIZVODA hardware repository

### Documentation

Access Arduino library documentation [here](https://e-radionicacom.github.io/Soldered-Generic-Arduino-Library/).

- Tutorial for using the NAZIV PROIZVODA board
- Installing an Arduino library

### About Soldered
![Soldered logo](https://raw.githubusercontent.com/e-radionicacom/Soldered-Generic-Arduino-Library/dev/extras/Logo%20horizontal-2.svg)

At Soldered, we design and manufacture a wide selection of electronic products to help you turn your ideas into acts and bring you one step closer to your final project. Our products are intented for makers and crafted in-house by our experienced team in Osijek, Croatia. We believe that sharing is a crucial element for improvement and innovation, and we work hard to stay connected with all our makers regardless of their skill or experience level. Therefore, all our products are open-source. Finally, we always have your back. If you face any problem concerning either your shopping experience or your electronics project, our team will help you deal with it, offering efficient customer service and cost-free technical support anytime. Some of those might be useful for you:

- [Web Store](https://www.soldered.com)
- [Educational content](https://learn.soldered.com)
- [Community & technical support](https://community.soldered.com)
- [Custom PCBs](https://pcb.soldered.com)


### Original source
​
This library is possible thanks to original [arduino-mcp23017](https://github.com/blemasle/arduino-mcp23017) library. Thank you, blemasle. 


### Open-source license
Soldered invests vast amounts of time into hardware & software for these products, which are all open-source. Please support future development by buying one of our products. 

Check license details in the LICENSE file. Long story short, use these open-source files for any purpose you want to, as long as you apply the same open-source licence to it and disclose the original source. No warranty - all designs in this repository are distributed in the hope that they will be useful, but without any warranty. They are provided "AS IS", therefore without warranty of any kind, either expressed or implied. The entire quality and performance of what you do with the contents of this repository are your responsibility. In no event, Soldered (TAVU) will be liable for your damages, losses, including any general, special, incidental or consequential damage arising out of the use or inability to use the contents of this repository. 

Thank you from your fellow makers at Soldered.

